EMU8051(1)

NAME
emu8051 - Simulator/emulator for the Intel 8051 family of microcontrollers

SYNOPSIS
emu8051 [OPTION]... [FILENAME]

DESCRIPTION
emu8051 is a simulator/emulator for the Intel 8051 family of microcontrollers. It is available in two versions: a console (text-only) version and a graphical version (using the GTK+ toolkit). This is an Open-Source project. The program can load Intel HEX files.

Once loaded, a program can be run (it will run indefinitely or until a breakpoint is encountered). You can also use the STEP button to execute only a single instruction at a time and see the effects on registers and memory.

It is written in C++, and uses Perl scripts to generate automatically C++ functions corresponding to each assembly instruction of the 8051 microcontroller.

OPTIONS

-h  display usage and exit

-version
    output version information and exit

CREDITS
emu8051 was originally written by Jonathan St-André, Hugo Villeneuve <hugo@hugovil.com> and Pascal Fecteau.

COPYRIGHT
emu8051 is free; anyone may redistribute it to anyone under the terms stated in the GNU General Public License. A copy of the license is included in the emu8051 distribution. You can also browse it online at http://www.gnu.org/copyleft/gpl.html